Get configured Postgres parameters and shared_preload_libraries
GET
/databases/{id}/settings
const url = 'https://example.com/databases/example/settings';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/databases/example/settings \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
advisories
Array<object>
object
key
required
string
message
required
string
backupCompression
“gzip”, “none”, or null to derive it from the memory limit.
string | null
parameters
required
Only parameters the user has explicitly set. A parameter absent here is sized automatically from the memory limit.
object
key
additional properties
string
sharedPreloadLibraries
required
Array<string>
key
additional properties
Example generated
{ "advisories": [ { "key": "example", "message": "example" } ], "backupCompression": "example", "parameters": { "additionalProperty": "example" }, "sharedPreloadLibraries": [ "example" ]}